org.apache.ignite.internal.managers.deployment.protocol.gg

## Class GridProtocolHandler

- java.lang.Object
- - java.net.URLStreamHandler
  - - org.apache.ignite.internal.managers.deployment.protocol.gg.GridProtocolHandler

    public class GridProtocolHandler
    extends URLStreamHandler

Custom stream protocol handler implementation.

### Constructor Summary

Constructors
Constructor and Description
`GridProtocolHandler()`

### Method Summary

Methods
`static void` `deregisterDeploymentManager()` Deregisters deployment manager.
`protected URLConnection` `openConnection(URL url)`
`static void` `registerDeploymentManager(GridDeploymentManager mgr)` Registers deployment manager.

### Methods inherited from class java.net.URLStreamHandler

`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, setURL, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridProtocolHandler

    public GridProtocolHandler()

### Method Detail

#### registerDeploymentManager

    public static void registerDeploymentManager(GridDeploymentManager mgr)

Registers deployment manager.

Parameters:
  `mgr` - Deployment manager.

#### deregisterDeploymentManager

    public static void deregisterDeploymentManager()

Deregisters deployment manager.

#### openConnection

    protected URLConnection openConnection(URL url)
                                    throws IOException

Specified by:
  `openConnection` in class `URLStreamHandler`
Throws:
  `IOException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017